# AbstractDependencyReportTask

API Documentation: | `AbstractDependencyReportTask`

Known Subtypes: |
`DependencyReportTask`
`HtmlDependencyReportTask`

Displays the dependency tree for a configuration.

### Properties

Property | Description
`outputFile` | The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
`projects` | The set of project to generate this report for. By default, the report is generated for the task's containing project.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `outputFile`

The file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.

#### ``Set`<`Project`>` `projects`

The set of project to generate this report for. By default, the report is generated for the task's containing project.